Building Qt for WinCE 6 on x86 Intel



  • The configure command is :

    configure -release -opensource -fast -nomake examples -nomake demos -no-qt3support -no-webkit -no-phonon -no-dbus -no-script -no-scripttools -platform win32-msvc2005 -xplatform wince50standard-x86-msvc2005

    then I ran : setcepaths.bat wince50standard-x86-msvc2005 && nmake

    and I got this Error:

    NMAKE : fatal error U1077: '"C:\Program Files\Microsoft Visual Studio 8\VC\bin\c
    l.EXE"' : return code '0x2'
    Stop.
    NMAKE : fatal error U1077: '"C:\Program Files\Microsoft Visual Studio 8\VC\bin\n
    make.exe"' : return code '0x2'
    Stop.
    NMAKE : fatal error U1077: '""C:\Program' : return code '0x2'
    Stop.
    NMAKE : fatal error U1077: 'cd' : return code '0x2'
    Stop.
    NMAKE : fatal error U1077: '""C:\Program' : return code '0x2'
    Stop.

    Help if you can. I'm trying to get a good build for a week.
    I got a build, but doesn't run on the device. No error, just doesn't run. I included the dll/lib files that are required in that project
    and still no go.

    Thanks.

    PS: I'm kind of a newb. I wanna learn qt. I tried DDraw but it's no hope. I guess Qt is more documented and useful. Thanks again. :)


  • Moderators

    welcome to devnet

    You have an inconsistency between the title and the content of your post.

    I the title you refer to Win Ce 6 while you are using statement indicating winece50 in the contents. Could that be the already the problem, that you are mixing different dev kits?



  • A colleague is developing an app with the Standard SDK 500 for the same device with WinCE 6.0. So I don't think the SDK is the problem.
    If you could .. recommend me a SDK for WinCE 6 that's compatible with Qt.

    Thanks for the reply.


  • Moderators

    I was just triggered by the inconsistency. My assumption was that you might you a win ce 6 SDK with settings for win ce 5 sdk.

    Unfortunately, no, I have so far only experience with Standard SDK 500 and msvc 2005 .

    Which version of Qt are you trying to compile?



  • 4.8.0

    I've just found this : http://qt-project.org/forums/viewthread/633/
    I think I'll try it.
    I'll keep you updated.

    Thanks again.


  • Moderators

    Thanks I will appreciate, if you share your findings.

    Beware that there might be some issues for win ce with the newest Qt versions. At least there are some threads reporting issues in "this":http://qt-project.org/forums/viewthread/15901/ and unexpectly I have "encountered this problem":http://qt-project.org/forums/viewthread/15661/#79841 lately.



  • Ok, thanks for the pointers. Unfortunately I can't research right now. Tomorrow I'll leave the country. I'll be back in a week. I'll try then.

    Cheers and thanks again.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.